;InnoSetupVersion=4.0.5

[Setup]
AppName=Barbarian Returns
AppVerName=Barbarian Returns v1.10
AppId=Barbarian Returns
AppPublisher=DGDev Team
AppPublisherURL=http://www.dgdevteam.tk
AppSupportURL=http://www.dgdevteam.tk
AppUpdatesURL=http://www.dgdevteam.tk
DefaultDirName=C:\games\BarbarianReturns
DefaultGroupName=games\Barbarian Returns
OutputBaseFilename=BarbarianSetupV1.10
Compression=zip
PrivilegesRequired=none
AllowNoIcons=yes
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\data.pak"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Basilisk.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\jpeg.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\libpng1.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\ogg.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\OpenAL32.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\SDL.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\SDL_image.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\vorbis.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\vorbisfile.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\zlib.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\mppsdk.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\readme.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\config.conf"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\config.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Barbarian.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Barbarian.ini"; DestDir: "{app}"; Flags: ignoreversion 

[Run]
Filename: "{app}\readme.txt"; Description: "View the README file"; Flags: shellexec postinstall skipifsilent 
Filename: "{app}\config.exe"; Parameters: "config"; WorkingDir: "{app}"; Description: "Launch Barbarian Returns configuration tool"; Flags: skipifsilent 

[Icons]
Name: "{group}\Barbarian Returns"; Filename: "{app}\Barbarian.exe"; WorkingDir: "{app}"; 
Name: "{group}\Read Me"; Filename: "{app}\readme.txt"; 
Name: "{group}\Game Configuration"; Filename: "{app}\config.exe"; Parameters: "config"; WorkingDir: "{app}"; 
Name: "{group}\Uninstall"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\Barbarian Returns"; Filename: "{app}\Barbarian.exe"; WorkingDir: "{app}"; Tasks: desktopicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 

[UninstallDelete]
Type: files; Name: "{app}\Barbarian.log"; 
Type: filesandordirs; Name: "{app}\sys"; 
Type: files; Name: "{app}\*.dat"; 
Type: files; Name: "{app}\*.dll"; 
Type: files; Name: "{app}\*.cfg"; 

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
